#
# Scrap file. Code here is intended to test features while coding
# The code in here is not supposed to be sensible.
#

require_relative "environment"

require "pretzel/core"
require "pretzel/ext/templating"

Database = Pretzel::ORM::Database.sqlite("scrap.db")
Database.create_table :somethings do
  primary_key :id
  string :name
end

class Something < Pretzel::ORM::Model
  exposes :name, :id
end

puts Pretzel::ORM.all_connections

Something.create(:name => "Test name")

class Application < Pretzel::Core
  extends Pretzel::Extension::Templating
end

Application.get "/" do
  render :index, {
    "entry" => Something.first
  }
end

Rack::Handler::Thin.run Application.new

